Get Experiment Overrides
get
https://statsigapi.net/console/v1/experiments/{id}/overridesAuthorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Path parameters
idstringrequiredid
Response
application/json200Get Experiment Overrides Success
messagestringrequiredA simple string explaining the result of the operation.
dataobjectrequiredShow child attributes
overridesobject[]requiredArray of experiment overrides, each specifying type, ID, and group ID.
Show child attributes
type[]stringrequiredid[]stringrequiredThe id of the segment or gate
groupID[]stringrequiredThe experiment group which user will be forced into
environment[]stringOptional environment designation (e.g., production, staging) for the experiment.
userIDOverridesobject[]requiredArray of user ID overrides, specifying which users to force into experiment groups.
Show child attributes
groupID[]stringrequiredThe experiment group the user will be forced into.
ids[]string[]requiredArray of user IDs to be assigned to the specified experiment group.
environment[]stringOptional environment designation (e.g., production, staging) for the experiment.
unitType[]stringOptional type of unit for the experiment, defining the scope of the override.
401This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequiredmessagestringrequired404Experiment not found.
statusintegerrequiredmessagestringrequiredWas this helpful?